/*
	Author: Djeeberjr

	Description:
	Adds an action to read a AAN news report. See https://community.bistudio.com/wiki/BIS_fnc_showAANArticle

	Parameter(s):
		0: OBJECT - to add the action to 
		1: ARRAY - The article
	
	Returns:
	actionID
*/ 

params ["_obj","_acticle"];

_obj setObjectTextureGlobal [0,"DLib\res\AAN.paa"];
_obj addAction ["Read news",{
	params ["_target", "_caller", "_actionId", "_arguments"];
	[_arguments] call bis_fnc_showAANArticle;

},_acticle,6,true,true,"","true",2];

