/*
	Author: Djeeberjr

	Description:
	Makes a object a tactial terminal to access orbat and tactial map.

	Parameter(s):
		0: OBJECT - the unit

*/ 

params ["_obj"];

_obj addAction ["Open tactical map",{
	params ["_target", "_caller", "_actionId", "_arguments"];

	[
		findDisplay 46,
		getPos _target,
		DLib_orbat_missions,
		[
			[
				[3000,3000,0],
				configFile >> "CfgORBAT" >> "BIS" >> "B_1_A_1_2",
				configFile >> "CfgORBAT" >> "BIS" >> "B_1",
				[],
				10
			]
		],
		[

		],
		[
			[
				"\A3\Ui_f\data\Logos\arma3_white_ca.paa",
				[0,0,0,1],
				[4000,4000,0],
				8,
				8,
				0,
				"Arma 3 Logo",
				true
			]
		],
		0,
		false,
		1,
		true,
		"Strategic Map Example",
		false,
		"\A3\Ui_f\data\Logos\arma3_white_ca.paa"
	] call BIS_fnc_StrategicMapOpen;

},[],5,true,true,"","true",2];

