/*
	Author: Djeeberjr

	Description:
	Prepares a player to jump

	Parameter(s):
		0: OBJECT - the unit
		1: OBJECT - the main gamelogic
*/

params ["_unit","_planeGl"];

_spawn = _planeGl getVariable "DLib_pj_spawn";
_unit setPosATL (getPosATL _spawn);
_unit playAction "PlayerStand";
enableCamShake true; 
addCamShake [2, 9999, 4];

// Prevent player from opeing the cargo door
inGameUISetEventHandler ["Action", "
	params ['_attachedObj','_caller','_index','_actionName','_localized','_priority','_showWindow','_hideOnUse','_shortcut','_visable','_ehName'];
	if (typeOf _attachedObj isEqualTo 'C130J_static_EP1')then{
		true;
	}
"];

[_unit] spawn DLib_fnc_playerParaBackpack;
